Support » Plugin: Cart REST API for WooCommerce - CoCart Lite » Error after upgrade to 2.6.2

  • Resolved beebz

    (@beebz)


    Hello,
    PHP version: 7.3
    I have this error after upgrading to 2.6.2:

    Fatal error: Uncaught Error: Undefined class constant ‘E_WC_ADMIN_NOTE_MARKETING’ in /var/mypath/wp-content/plugins/cart-rest-api-for-woocommerce/includes/admin/notes/class-cocart-wc-admin-note-do-with-products.php:84 Stack trace: #0 /var/mypath/wp-content/plugins/cart-rest-api-for-woocommerce/includes/admin/notes/class-cocart-wc-admin-note-do-with-products.php(45): CoCart_WC_Admin_Do_With_Products_Note::get_note_args() #1 /var/mypath/wp-content/plugins/cart-rest-api-for-woocommerce/includes/admin/notes/class-cocart-wc-admin-note-do-with-products.php(30): CoCart_WC_Admin_Do_With_Products_Note::add_note(‘cocart-wc-admin…’) #2 /var/mypath/wp-content/plugins/cart-rest-api-for-woocommerce/includes/admin/notes/class-cocart-wc-admin-note-do-with-products.php(102): CoCart_WC_Admin_Do_With_Products_Note->__construct() #3 /var/mypath/wp-content/plugins/cart-rest-api-for-woocommerce/includes/admin/class-cocart-wc-admin-notices.php(52): include_once(‘/var/www/store/…’) #4 /var/mypath/wp- in /var/mypath/wp-content/plugins/cart-rest-api-for-woocommerce/includes/admin/notes/class-cocart-wc-admin-note-do-with-products.php on line 84

    How to fix this ? thank you.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Sébastien Dumont

    (@sebd86)

    Thank you for reporting the bug @beebz

    An issue has been made on the GitHub repository. Will get back to you when an answer can be provided.

    beebz

    (@beebz)

    thanks @sebd86 !

    Plugin Author Sébastien Dumont

    (@sebd86)

    Has the latest update helped @beebz ?

    beebz

    (@beebz)

    Hello @sebd86!
    I have not yet re tried 2.6.x version. I ‘ve downgraded to an older version to keep prod working.

    I’ll keep u informed when upgrading.

    Thanks

    Plugin Author Sébastien Dumont

    (@sebd86)

    @beebz So it turns out that this particular constant was added in WooCommerce v4.3.0 and you have at the time of reporting the error WooCommerce v4.2.0

    A fix for this is underway but I would recommend upgrading WooCommerce to keep everything up to date and compatible with future releases of CoCart.

    I will now close this ticket now we know what to do.

    An update will be out soon.

    Thank you for reporting the issue.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.